package com.jpsoft.shinestar.modules.sys.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_data_dictionary的实体类
 */
public class DataDictionary {
	private String id;
	private String name;
	private String value;
	private Integer sortNo;
	private String parentName;
	private String parentId;
	private String dataType;
	private String createBy;
	private Date createDate;
	private String updateBy;
	private Date updateDate;
	private Boolean activated;
	private Boolean delFlag;
	/*private List<DataDictionary> children;*/
		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取数值
	 */
	public String getValue(){
		return value;
	}
	
	/**
	 *设置数值
	 */
	public void setValue(String value){
		this.value = value;
	}
		/**
	 *获取显示序号
	 */
	public Integer getSortNo(){
		return sortNo;
	}
	
	/**
	 *设置显示序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}
		/**
	 *获取所属目录
	 */
	public String getParentId(){
		return parentId;
	}
	
	/**
	 *设置所属目录
	 */
	public void setParentId(String parentId){
		this.parentId = parentId;
	}
		/**
	 *获取1-字典目录,2-数据
	 */
	public String getDataType(){
		return dataType;
	}
	
	/**
	 *设置1-字典目录,2-数据
	 */
	public void setDataType(String dataType){
		this.dataType = dataType;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateDate(){
		return createDate;
	}
	
	/**
	 *设置
	 */
	public void setCreateDate(Date createDate){
		this.createDate = createDate;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateDate(){
		return updateDate;
	}
	
	/**
	 *设置
	 */
	public void setUpdateDate(Date updateDate){
		this.updateDate = updateDate;
	}
		/**
	 *获取
	 */
	public Boolean getActivated(){
		return activated;
	}
	
	/**
	 *设置
	 */
	public void setActivated(Boolean activated){
		this.activated = activated;
	}

	/**
	 *获取
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}

	/**
	 *设置
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}

	/*public List<DataDictionary> getChildren() {
		return children;
	}

	public void setChildren(List<DataDictionary> children) {
		this.children = children;
	}*/

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
}